<?php
session_start();
header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: 0"); // Date in the past
header("Content-type: text/html; charset=UTF-8");
$useHtmSpChars = $_REQUEST['htmSpChar'];
$source = $_SESSION[$_REQUEST['source']];
$source = urldecode($source);
if ($useHtmSpChars)
    {
    	echo $source;
    }
else
	{
		echo html_entity_decode($source);
	}
?>